Skip to main content

Building JSR 135 -- Problem

3 replies [Last post]
paragv
Offline
Joined: 2007-05-31

hi there,
I am trying to build JSR 135 for Linux-ARM but I stuck because of "mQ_JSR234.lib" and "AMR decoder", can anybody please tell me where I can get these libs.

Thanks in advance,
Parag

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
stanar
Offline
Joined: 2006-11-01

Hello Parag,

Can you please specify which source (bundle) are you using?

Looks you've got quite an old code, like phoneme_feature-mr1-rel-src-b04-09_nov_2006.zip

At least we never meant to expose dependencies on these libraries in the open source, because they have different license.

So either you have to clean-up all the dependencies on these libraries yourself, or take newer source bundle, which do not mention mQ sound engine and native amr decoder.

By the way, 3D sound of JSR234 is not supported in open source at all. AMR decoder is neither supported in Linux/ARM. But the WinCE build may use platform-supplied AMR decoder.

Regards,
Stan.

paragv
Offline
Joined: 2007-05-31

thanks for reply

> Hello Parag,
>
> Can you please specify which source (bundle) are you
> using?
>
> Looks you've got quite an old code, like
> phoneme_feature-mr1-rel-src-b04-09_nov_2006.zip
>

No, we are using "[i]phoneme_feature-mr2-rel-src-b23-08_may-2007.zip[/i]" bundle.
and we are trying to build "[i]linux_qte_gcc[/i]"

> At least we never meant to expose dependencies on
> these libraries in the open source, because they have
> different license.
>
> So either you have to clean-up all the dependencies
> on these libraries yourself, or take newer source
> bundle, which do not mention mQ sound engine and
> native amr decoder.

pls also tell
where exactly we need to do the changes in the source to clean-up all the dependencies on these libraries

>
> By the way, 3D sound of JSR234 is not supported in
> open source at all. AMR decoder is neither supported
> in Linux/ARM. But the WinCE build may use
> platform-supplied AMR decoder.

actually we got this library dependency information from "[i]OptionalAPIs-I.pdf[/i]"

> Regards,
> Stan.

Thanks,
Parag

stanar
Offline
Joined: 2006-11-01

Hi Parag,

Are you sure about the bundle?

I've just downloaded it and found no mention of mQ library and AMR.

Can you please specify what exactly the error is?

Can you also point (give an URL) to the document you refer to? Does only the document refer to these libraries? Then please ignore it :) Let us try to get through your build errors.

Regards,
Stan